import Vue from 'vue';
import type { QueryItemProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    isExpanded: boolean;
    width: number;
}, {
    toggleExpand(): void;
    listenSize(): void;
}, {
    point: number;
    previewConditions: QueryItemProps[];
    contentConditions: QueryItemProps[];
    itemWidth: number;
}, {
    theme: string;
    conditions: QueryItemProps[];
    grid: number;
    expand: boolean;
    onExpandChange: (e: MouseEvent) => void;
}>;
export default _default;
